You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cassandra.apache.org by mc...@apache.org on 2021/04/09 21:18:11 UTC

[cassandra-builds] branch trunk updated: make docker prune calls opportunistic (it is ok to skip if another prune command is running)

This is an automated email from the ASF dual-hosted git repository.

mck pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/cassandra-builds.git


The following commit(s) were added to refs/heads/trunk by this push:
     new b0df176  make docker prune calls opportunistic (it is ok to skip if another prune command is running)
b0df176 is described below

commit b0df1768deefe48508e01dd2bba53ea6b38b1ce7
Author: Mick Semb Wever <mc...@apache.org>
AuthorDate: Fri Apr 9 23:13:55 2021 +0200

    make docker prune calls opportunistic (it is ok to skip if another prune command is running)
---
 build-scripts/cassandra-deb-packaging.sh | 2 +-
 build-scripts/cassandra-rpm-packaging.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/build-scripts/cassandra-deb-packaging.sh b/build-scripts/cassandra-deb-packaging.sh
index c62d6fa..90f1bbd 100755
--- a/build-scripts/cassandra-deb-packaging.sh
+++ b/build-scripts/cassandra-deb-packaging.sh
@@ -30,7 +30,7 @@ command -v docker >/dev/null 2>&1 || { echo >&2 "docker needs to be installed";
 [ -f "${cassandra_builds_dir}/docker/build-debs.sh" ] || { echo >&2 "docker/build-debs.sh must exist"; exit 1; }
 
 # remove any previous older built images
-docker image prune --all --force --filter label=org.cassandra.buildenv=buster --filter "until=4h"
+docker image prune --all --force --filter label=org.cassandra.buildenv=buster --filter "until=4h" || true
 
 pushd $cassandra_builds_dir
 
diff --git a/build-scripts/cassandra-rpm-packaging.sh b/build-scripts/cassandra-rpm-packaging.sh
index 27499dd..bcfd67b 100755
--- a/build-scripts/cassandra-rpm-packaging.sh
+++ b/build-scripts/cassandra-rpm-packaging.sh
@@ -30,7 +30,7 @@ command -v docker >/dev/null 2>&1 || { echo >&2 "docker needs to be installed";
 [ -f "${cassandra_builds_dir}/docker/build-rpms.sh" ] || { echo >&2 "docker/build-rpms.sh must exist"; exit 1; }
 
 # remove any previous older built images
-docker image prune --all --force --filter label=org.cassandra.buildenv=centos --filter "until=4h"
+docker image prune --all --force --filter label=org.cassandra.buildenv=centos --filter "until=4h" || true
 
 pushd $cassandra_builds_dir
 

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cassandra.apache.org
For additional commands, e-mail: commits-help@cassandra.apache.org